Subject: Re: linux-next: build failure after merge of the pinctrl tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 7 Dec 2016 09:46:17 +1100

Hi Peter,

On Tue, 6 Dec 2016 23:27:48 +0100 Peter Rosin <[email-masked]> wrote:
>
> The bug you are referring to is in the gpio tree, not pinctrl.
> That had me confused for a while, and is the reason I'm writing
> this. Maybe the next person need not be confused...

Part of the gpio tree has been merged into the pinctrl tree (see commit
70afa835d2d7 ("Merge branch 'thread-irq-simpler' of /home/linus/linux-gpio
into devel")), but when I merge the gpio tree later in my process, I do
not get this error.

> But when I'm writing on this topic anyway, I'll add some more
> info, in case anyone cares.
> 
> I think fix for this bug is to use gc->irq_chained_parent instead
> of gc->irq_parent, at least that changed as part of the indicated
> commit. Completely untested...
> 
> The fix for the bug in the pinctrl tree is to add a missing >
> as posted by Andrew Lunn in [1] (with a slightly broken commit
> message; two counts of s/chip-/client-/, an extra line after
> the sob and I guess the subject is no longer true).
> 
> Cheers,
> Peter
> 
> [1] http://marc.info/?l=linux-gpio&m=148088890030876&w=2

Thanks for the info ... this still needs fixing in the pinctrl tree.

P.S. Peter, your email had a bad header line:

Reply-To: [email-masked]

that should probably have been In-Reply-To ...
-- 
Cheers,
Stephen Rothwell